@echo off
rem ######################################################################
::
::	Putzi4win-Plugin - Flashplayer-Cache leeren
::
rem ----------------------------------------------------------------------
::	2009-06-22   support@putzi4win.de
::	2010-11-01   support@putzi4win.de  Wechsel ins tools Verzeichnis
::	2011-04-25   support@putzi4win.de  Einstellungen support\flashplayer\sys\settings.sol behalten; Verzeichnisse loeschen
rem ######################################################################

rem ----------------------------------------------------------------------
::	CONFIG
rem ----------------------------------------------------------------------

	set commentLine=# -----------------------------------------------------------------------------
	set DataDir1=%APPDATA%\Macromedia\Flash Player\macromedia.com\support\flashplayer\sys
	set DataDir2=%APPDATA%\Macromedia\Flash Player\#SharedObjects

rem ----------------------------------------------------------------------
::	SHOW METADATA
rem ----------------------------------------------------------------------
	echo %commentLine%
	echo # METADATA
	echo %commentLine%
	echo metaNAME=Flashplayer-Cache lschen
	echo metaVERSION=1.2
	echo metaAUTHOR=Axel Hahn
	echo metaCATEGORY=Browser
	echo metaURLINFO=
	echo metaURLDOWNLOAD=
	echo metaEMAIL=support@putzi4win.de
	echo metaDESCRIPTION=Lscht Cache-Dateien des Macromedia Flash-players



rem ----------------------------------------------------------------------
::
::	SHOW DATA
::
rem ----------------------------------------------------------------------

	
	if NOT exist "%DataDir1%" if NOT exist "%DataDir2%" echo ERROR:Es wurden keine Cache-Daten fr Macromedia Flash gefunden. && goto end

	if "%1"=="/meta" goto end

	cd /d "%0\..\tools"
	if exist "%DataDir1%" call "list_files.bat" "%DataDir1%" *.* 0 1 1 1 0 | findstr -v "support\\flashplayer\\sys\\settings.sol"
	echo # directories in cache
	for /F "tokens=*" %%b in ('dir /a:D /s /b "%DataDir1%" ^| sort /R ') do echo DIR:%%b | findstr "support\\flashplayer\\sys\\\#"
	echo.
	
	if exist "%DataDir2%" call "list_files.bat" "%DataDir2%" *.* 0 1 1 1 0
	echo # directories in cache
	for /F "tokens=*" %%b in ('dir /a:D /s /b "%DataDir2%" ^| sort /R ') do echo DIR:%%b 
	
	echo %commentLine%
	echo # END OF PLUGIN
	echo %commentLine%
	goto end


rem ----------------------------------------------------------------------
::	END
rem ----------------------------------------------------------------------

	:end
	rem pause && exit


rem ----------------------------------------------------------------------
::	EOF
rem ----------------------------------------------------------------------
